<template>
  <div class="eContainer">
    <el-form :model="model" :rules="rules" ref="modelForm" label-width="100px" size="small">
       <c-tabs :value="tabVal" ref="elment" type="card" @tab-click="tabClick">
        
            <!--PD000008 -->
           <el-tab-pane label="国内证单据查询" name="infsea">
                <m-infsea :model="model" :codes="codes"/>
           </el-tab-pane>
       </c-tabs>
    </el-form>
  </div>
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Bddsel from "~/model/Bddsel"
import CommonProcess from "~/mixin/CommonProcess"
import Pattern from "~/model/Bddsel/Pattern"
import Infsea from "./Infsea"


export default {
    name: 'Bddsel',
    components:{
        "m-infsea" : Infsea,
    },
    provide() {
        return {
            root: this,
        }
    },
    mixins: [CommonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            tabVal:"infsea",
            model:new Bddsel().data,
            // defaultRule:Default,
            // rules:this.mergeRules(Pattern,Check),
            rules:Pattern,
           codes:{...CodeTable},
        }
    },
    methods:{
        tabClick(){
        }
    },
    created:async function(){
        console.log("进入bddsel交易");
        let rtnmsg = await Api.post("bddsel/init",{params:{}})
        if(rtnmsg.retcod == SUCCESS)
        {
           //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    }
}
</script>
<style>

</style>
